TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsOne ( elt-res^num x ) -> elt-alg^boo

### Description

<shortdoc> True iff I is the identity ideal of its ring. </shortdoc>

### Examples

x_o := EquationOrder(X^2+5);; x_b := Ideal(x_o,Matrix(Z,2,2,[1,1,0,2]))^5;; x_x := One(Quotient(x_o,x_b)); IsOne(x_x);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack